% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{set_max_lts}
\alias{set_max_lts}
\title{Set max Level of Transit Stress (LTS)}
\usage{
set_max_lts(r5r_core, max_lts)
}
\arguments{
\item{r5r_core}{rJava object to connect with R5 routing engine}

\item{max_lts}{numeric (between 1 and 4). The maximum level of traffic stress
that cyclists will tolerate. A value of 1 means cyclists will only travel
through the quietest streets, while a value of 4 indicates cyclists can travel
through any road.}
}
\value{
No return value, called for side effects.
}
\description{
Set max Level of Transit Stress (LTS)
}
\seealso{
Other support functions: 
\code{\link{assert_breakdown_stat}()},
\code{\link{assert_decay_function}()},
\code{\link{assert_points_input}()},
\code{\link{check_connection}()},
\code{\link{fileurl_from_metadata}()},
\code{\link{find_snap}()},
\code{\link{posix_to_string}()},
\code{\link{select_mode}()},
\code{\link{set_max_rides}()},
\code{\link{set_max_street_time}()},
\code{\link{set_n_threads}()},
\code{\link{set_progress}()},
\code{\link{set_speed}()},
\code{\link{set_suboptimal_minutes}()},
\code{\link{set_verbose}()},
\code{\link{stop_r5}()},
\code{\link{street_network_to_sf}()},
\code{\link{transit_network_to_sf}()}
}
\concept{support functions}
