% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{set_max_street_time}
\alias{set_max_street_time}
\title{Set max street time}
\usage{
set_max_street_time(max_walk_dist, walk_speed, max_trip_duration)
}
\arguments{
\item{max_walk_dist}{numeric, Maximum walking distance (in meters) for the
whole trip. Passed from routing functions.}

\item{walk_speed}{numeric, Average walk speed in Km/h. Defaults to 3.6 Km/h.
Passed from routing functions.}

\item{max_trip_duration}{numeric, Maximum trip duration in seconds. Defaults
to 120 minutes (2 hours). Passed from routing functions.}
}
\value{
An \code{integer} representing the maximum number of minutes walking
}
\description{
Converts a time duration and speed input and converts it to distances.
}
\seealso{
Other support functions: 
\code{\link{assert_breakdown_stat}()},
\code{\link{assert_decay_function}()},
\code{\link{assert_points_input}()},
\code{\link{check_connection}()},
\code{\link{fileurl_from_metadata}()},
\code{\link{find_snap}()},
\code{\link{posix_to_string}()},
\code{\link{select_mode}()},
\code{\link{set_max_lts}()},
\code{\link{set_max_rides}()},
\code{\link{set_n_threads}()},
\code{\link{set_progress}()},
\code{\link{set_speed}()},
\code{\link{set_suboptimal_minutes}()},
\code{\link{set_verbose}()},
\code{\link{stop_r5}()},
\code{\link{street_network_to_sf}()},
\code{\link{transit_network_to_sf}()}
}
\concept{support functions}
