% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stop_r5.R
\name{stop_r5}
\alias{stop_r5}
\title{Stop running r5r core}
\usage{
stop_r5(...)
}
\arguments{
\item{...}{\code{r5r_core} objects currently running. By default, if no cores
are supplied all running cores are stopped.}
}
\value{
No return value, called for side effects.
}
\description{
Stops running r5r cores.
}
\examples{
if (interactive()) {
  library(r5r)

  path <- system.file("extdata/poa", package = "r5r")

  r5r_core <- setup_r5(data_path = path, temp_dir = TRUE)

  stop_r5(r5r_core)
}

}
\seealso{
Other support functions: 
\code{\link{assert_breakdown_stat}()},
\code{\link{assert_decay_function}()},
\code{\link{assert_points_input}()},
\code{\link{check_connection}()},
\code{\link{fileurl_from_metadata}()},
\code{\link{find_snap}()},
\code{\link{posix_to_string}()},
\code{\link{select_mode}()},
\code{\link{set_max_lts}()},
\code{\link{set_max_rides}()},
\code{\link{set_max_street_time}()},
\code{\link{set_n_threads}()},
\code{\link{set_progress}()},
\code{\link{set_speed}()},
\code{\link{set_suboptimal_minutes}()},
\code{\link{set_verbose}()},
\code{\link{street_network_to_sf}()},
\code{\link{transit_network_to_sf}()}
}
\concept{support functions}
